ตัวจัดการการแจ้งเตือน
GET https://webseo.yadeep.com/api/notification-handlers/
curl --request GET \
--url 'https://webseo.yadeep.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://webseo.yadeep.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | รายละเอียด |
|---|---|---|
| page | ไม่จำเป็น จำนวนเต็ม | หมายเลขหน้าที่คุณต้องการผลลัพธ์ ค่าเริ่มต้นคือ 1 |
| results_per_page | ไม่จำเป็น จำนวนเต็ม | จำนวนผลลัพธ์ที่คุณต้องการต่อหน้า ค่าที่อนุญาตคือ: 10 , 25 , 50 , 100 , 250 , 500 , 1000 ค่าเริ่มต้นคือ 25 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-26 09:59:10"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://webseo.yadeep.com/api/notification-handlers?&page=1",
"last": "https://webseo.yadeep.com/api/notification-handlers?&page=1",
"next": null,
"prev": null,
"self": "https://webseo.yadeep.com/api/notification-handlers?&page=1"
}
}
GET https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-26 09:59:10"
}
}
POST https://webseo.yadeep.com/api/notification-handlers
| พารามิเตอร์ | รายละเอียด | รายละเอียด |
|---|---|---|
| name | จำเป็น ข้อความ | - |
| type | จำเป็น ข้อความ | ค่าที่อนุญาต: email , webhook , slack , discord , telegram , microsoft_teams |
| ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = email อีเมล | |
| webhook | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = webhook URL Webhook |
| slack | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = slack URL Slack Webhook |
| discord | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = discord URL Discord Webhook |
| telegram | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = telegram Telegram API Token |
| telegram_chat_id | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = telegram Telegram Chat ID |
| x_consumer_key | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| x_consumer_secret | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| x_access_token | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| x_access_token_secret | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
curl --request POST \
--url 'https://webseo.yadeep.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://webseo.yadeep.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}
| พารามิเตอร์ | รายละเอียด | รายละเอียด |
|---|---|---|
| name | ไม่จำเป็น ข้อความ | - |
| type | ไม่จำเป็น ข้อความ | ค่าที่อนุญาต: email , webhook , slack , discord , telegram , microsoft_teams |
| ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = email อีเมล | |
| webhook | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = webhook URL Webhook |
| slack | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = slack URL Slack Webhook |
| discord | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = discord URL Discord Webhook |
| telegram | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = telegram Telegram API Token |
| telegram_chat_id | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = telegram Telegram Chat ID |
| x_consumer_key | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| x_consumer_secret | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| x_access_token | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| x_access_token_secret | ไม่จำเป็น ข้อความ | พร้อมใช้งานเมื่อ: type = x Telegram API Token |
| is_enabled | ไม่จำเป็น บูลีน | - |
curl --request POST \
--url 'https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://webseo.yadeep.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \